Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLActor Class Reference

`#include <vtkOpenGLActor.h>`

Inheritance diagram for vtkOpenGLActor:

[legend]
Collaboration diagram for vtkOpenGLActor:

[legend]
List of all members.

## Detailed Description

OpenGL actor.

Date:
  2002/08/22 18:39:30

Revision:
  1.18

vtkOpenGLActor is a concrete implementation of the abstract class vtkActor. vtkOpenGLActor interfaces to the OpenGL rendering library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (39%)
  - Martin, Ken (25%)
  - Cedilnik, Andy (9%)
  - Avila, Lisa (6%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLActor.h)`
  - .`cxx` (`/Rendering/vtkOpenGLActor.cxx)`

Definition at line 47 of file vtkOpenGLActor.h.

## Public Types
typedef vtkActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren, vtkMapper *mapper)
## Static Public Methods
vtkOpenGLActor * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLActor ()
| ~vtkOpenGLActor ()

## Member Typedef Documentation

typedef vtkActor vtkOpenGLActor::Superclass

| Reimplemented from vtkActor. Definition at line 53 of file vtkOpenGLActor.h.

## Constructor & Destructor Documentation

vtkOpenGLActor::vtkOpenGLActor | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkOpenGLActor.h.

vtkOpenGLActor::~vtkOpenGLActor | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkOpenGLActor.h.

## Member Function Documentation

vtkOpenGLActor* vtkOpenGLActor::New | ( |  | ) | `[static]`

| Creates an actor with the following defaults: origin(0,0,0) position=(0,0,0) scale=(1,1,1) visibility=1 pickable=1 dragable=1 orientation=(0,0,0). No user defined matrix and no texture map. Reimplemented from vtkActor.

virtual const char* vtkOpenGLActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor.

int vtkOpenGLActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

virtual int vtkOpenGLActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

vtkOpenGLActor* vtkOpenGLActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor.

virtual void vtkOpenGLActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor.

void vtkOpenGLActor::Render | ( | vtkRenderer * | ren,
|  | vtkMapper * | mapper
| ) | `[virtual]`

| Actual actor render method. Reimplemented from vtkActor.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLActor.h